Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy

java.lang.Object
java.lang.Enum<DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy>`, `Constable`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValued`

public static enum DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy extends Enum<DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy>
Immutable policy used only when the final position DAG has multiple simultaneously eligible occurrences. Hard DAG constraints are always applied first. STABLE keeps established result-base and side-base occurrences ahead of genuinely ADD-created occurrences when their relation is unknown; source/target preference is only a tie-break between fresh concurrent additions. Numeric ordinals are deterministic fallbacks, never causal facts.

Since:
  4.30
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL_ON_AMBIGUITY`
Report genuinely underdetermined ordering instead of selecting a linear extension.
`PREFER_SOURCE`
Prefer a source-origin candidate at an otherwise unconstrained choice point.
`PREFER_TARGET`
Prefer a target-origin candidate at an otherwise unconstrained choice point.
`STABLE`
Preserve historical stability, then deterministic fresh-addition preference and ordinals.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STABLE

public static final DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy STABLE
Preserve historical stability, then deterministic fresh-addition preference and ordinals.

### PREFER_SOURCE

public static final DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy PREFER_SOURCE
Prefer a source-origin candidate at an otherwise unconstrained choice point.

### PREFER_TARGET

public static final DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy PREFER_TARGET
Prefer a target-origin candidate at an otherwise unconstrained choice point.

### FAIL_ON_AMBIGUITY

public static final DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy FAIL_ON_AMBIGUITY
Report genuinely underdetermined ordering instead of selecting a linear extension.

## Method Details

### values

public static DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null